Add jenkins test script
Change-Id: If36b19ccb7dca233045065162043c07b35374333
diff --git a/third_party/gperftools/BUILD b/third_party/gperftools/BUILD
index 7676131..b1e1f0f 100644
--- a/third_party/gperftools/BUILD
+++ b/third_party/gperftools/BUILD
@@ -208,7 +208,8 @@
],
copts = common_copts + [
'-fno-builtin',
- '-Wno-mismatched-new-delete',
+ # Add this back in when we upgrade clang.
+ #'-Wno-mismatched-new-delete',
],
size = 'small',
)
diff --git a/tools/ci/run-tests.sh b/tools/ci/run-tests.sh
new file mode 100755
index 0000000..4de8e30
--- /dev/null
+++ b/tools/ci/run-tests.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -e
+
+bazel --batch test -c opt --curses=no --color=no --jobs=1 //... -- $(cat NO_BUILD_AMD64)
+bazel --batch build -c opt --curses=no --color=no --jobs=1 //... --cpu=roborio -- $(cat NO_BUILD_ROBORIO)